Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1575)
+++ palm/trunk/SCRIPTS/subjob	(revision 1576)
@@ -23,9 +23,12 @@
 # Current revisions:
 # ------------------
-# mpp2-queues added to lccrayh
+# 
 # 
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1575 2015-03-27 09:56:27Z raasch
+# mpp2-queues added to lccrayh
 #
 # 1547 2015-01-29 15:09:12Z witha
Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1575)
+++ palm/trunk/SOURCE/Makefile	(revision 1576)
@@ -20,9 +20,12 @@
 # Current revisions:
 # ------------------
-# +poismg_fast
+# 
 # 
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 1575 2015-03-27 09:56:27Z raasch
+# +poismg_fast
 #
 # 1551 2015-03-03 14:18:16Z maronga
Index: palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- palm/trunk/SOURCE/calc_spectra.f90	(revision 1575)
+++ palm/trunk/SOURCE/calc_spectra.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! adjustments for psolver-queries
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! adjustments for psolver-queries
 !
 ! 1511 2014-12-16 15:54:16Z suehring
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1575)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! multigrid_fast added as allowed pressure solver
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! multigrid_fast added as allowed pressure solver
 !
 ! 1573 2015-03-23 17:53:37Z suehring
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1575)
+++ palm/trunk/SOURCE/header.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! adjustments for psolver-queries, output of seed_follows_topography
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! adjustments for psolver-queries, output of seed_follows_topography
 !
 ! 1560 2015-03-06 10:48:54Z keck
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1575)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! adjustments for psolver-queries
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! adjustments for psolver-queries
 !
 ! 1551 2015-03-03 14:18:16Z maronga
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1575)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! adjustments for psolver-queries
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! adjustments for psolver-queries
 !
 ! 1557 2015-03-05 16:43:04Z suehring
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1575)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! adjustments for psolver-queries, calculation of ngp_xz added
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! adjustments for psolver-queries, calculation of ngp_xz added
 !
 ! 1565 2015-03-09 20:59:31Z suehring
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1575)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! initial vertical particle position is allowed to follow the topography
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! initial vertical particle position is allowed to follow the topography
 !
 ! 1359 2014-04-11 17:15:14Z hoffmann
Index: palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1575)
+++ palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! +seed_follows_topography
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! +seed_follows_topography
 !
 ! 1359 2014-04-11 17:15:14Z hoffmann
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1575)
+++ palm/trunk/SOURCE/modules.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! +ngp_xz
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! +ngp_xz
 !
 ! 1560 2015-03-06 10:48:54Z keck
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1575)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! +seed_follows_topography in particles_par
-! 
+! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! +seed_follows_topography in particles_par
 !
 ! 1553 2015-03-03 17:33:54Z maronga
Index: palm/trunk/SOURCE/poismg_fast.f90
===================================================================
--- palm/trunk/SOURCE/poismg_fast.f90	(revision 1575)
+++ palm/trunk/SOURCE/poismg_fast.f90	(revision 1576)
@@ -23,4 +23,11 @@
 ! Current revisions:
 ! -----------------
+!
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
 ! Initial revision.
 ! Routine re-written and optimised based on poismg.
@@ -34,9 +41,4 @@
 !   "red" or "black" data points need to be exchanged. This is not applied
 !   for coarser grid levels, since for then the transfer time is latency bound
-! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 !
 !
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 1575)
+++ palm/trunk/SOURCE/pres.f90	(revision 1576)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! poismg_fast + respective module added, adjustments for psolver-queries
 ! 
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1575 2015-03-27 09:56:27Z raasch
+! poismg_fast + respective module added, adjustments for psolver-queries
 !
 ! 1342 2014-03-26 17:04:47Z kanani