Index: palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1578)
+++ palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1579)
@@ -33,6 +33,6 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
-%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
 %compiler_name       ftn                                                lccrayh parallel
 %compiler_name_ser   ftn                                                lccrayh parallel
@@ -46,6 +46,6 @@
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
-%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
 %compiler_name       ftn                                                lccrayh parallel trace
 %compiler_name_ser   ftn                                                lccrayh parallel trace
@@ -59,6 +59,6 @@
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
-%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
 %compiler_name       ftn                                                lccrayb parallel
 %compiler_name_ser   ftn                                                lccrayb parallel
@@ -72,6 +72,6 @@
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
-%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
 %compiler_name       ftn                                                lccrayb parallel trace
 %compiler_name_ser   ftn                                                lccrayb parallel trace
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 1578)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 1579)
@@ -53,6 +53,6 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
-%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
 %compiler_name       ftn                                                lccrayh parallel
 %compiler_name_ser   ftn                                                lccrayh parallel
@@ -66,6 +66,6 @@
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
-%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
 %compiler_name       ftn                                                lccrayh parallel trace
 %compiler_name_ser   ftn                                                lccrayh parallel trace
@@ -79,6 +79,6 @@
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
-%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
 %compiler_name       ftn                                                lccrayb parallel
 %compiler_name_ser   ftn                                                lccrayb parallel
@@ -92,6 +92,6 @@
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
-%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
 %compiler_name       ftn                                                lccrayb parallel trace
 %compiler_name_ser   ftn                                                lccrayb parallel trace