Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 1585)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 1585)
@@ -0,0 +1,223 @@
+#$Id$
+#column 1          column 2                                   column 3
+#name of variable  value of variable (~ must not be used)     scope
+#----------------------------------------------------------------------------
+%mainprog          palm.f90
+%base_directory    $HOME/palm/current_version
+%base_data         ~/palm/current_version/JOBS
+%source_path       $base_directory/trunk/SOURCE
+%add_source_path   $base_directory/USER_CODE/$fname
+%depository_path   $base_directory/MAKE_DEPOSITORY
+#%use_makefile      true
+#
+# Enter your own host below by adding another line containing in the second
+# column your hostname (as provided by the unix command "hostname") and in the
+# third column the host identifier. Depending on your operating system, the
+# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# (IBM-AIX), or "nec" (NEC-SX), respectively.
+#
+#
+# The next line is just an example. Add your own line below or replace this line.
+%host_identifier   <replace_by_your_IMUK_hostname>         lcmuk
+%host_identifier   hlogin*      lccrayh
+%host_identifier   hxc*         lccrayh
+%host_identifier   blogin*      lccrayb
+%host_identifier   bxc*         lccrayb
+#
+# IMUK 
+%remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel rrtmg
+%tmp_user_catalog  /localdata                                                  lcmuk parallel rrtmg
+%compiler_name     mpif90                                                      lcmuk parallel rrtmg
+%compiler_name_ser ifort                                                       lcmuk parallel rrtmg
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__fftw:-D__intel_compiler:-D__rrtmg  lcmuk parallel rrtmg
+%netcdf_inc        -I:/muksoft/packages/netcdf/4_intel/include                 lcmuk parallel rrtmg
+%netcdf_lib        -L/muksoft/packages/netcdf/4_intel/lib:-lnetcdf:-lnetcdff   lcmuk parallel rrtmg
+%fftw_inc          -I:/muksoft/packages/fftw/3.3.4/include                     lcmuk parallel rrtmg
+%fftw_lib          -L/muksoft/packages/fftw/3.3.4/lib64:-lfftw3                lcmuk parallel rrtmg
+%mopts             -j:4                                                        lcmuk parallel rrtmg
+%fopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291:-I:/home/<replace_by_your_IMUK_username>/rrtmg/shared/include  lcmuk parallel rrtmg
+%lopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291  lcmuk parallel rrtmg
+#
+# IMUK debug/trace mode
+%remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel trace_rrtmg
+%tmp_user_catalog  /localdata                                                  lcmuk parallel trace_rrtmg
+%compiler_name     mpif90                                                      lcmuk parallel trace_rrtmg
+%compiler_name_ser ifort                                                       lcmuk parallel trace_rrtmg
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__fftw:-D__intel_compiler:-D__rrtmg   lcmuk parallel trace_rrtmg
+%netcdf_inc        -I:/muksoft/packages/netcdf/4_intel/include                 lcmuk parallel trace_rrtmg
+%netcdf_lib        -L/muksoft/packages/netcdf/4_intel/lib:-lnetcdf:-lnetcdff   lcmuk parallel trace_rrtmg
+%fftw_inc          -I:/muksoft/packages/fftw/3.3.4/include                     lcmuk parallel trace_rrtmg
+%fftw_lib          -L/muksoft/packages/fftw/3.3.4/lib64:-lfftw3                lcmuk parallel trace_rrtmg
+%fopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291:-I:/home/<replace_by_your_IMUK_username>/rrtmg/static_trace/include  lcmuk parallel trace_rrtmg
+%lopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace_rrtmg
+#
+# HLRN-III Hannover
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel rrtmg
+%compiler_name       ftn                                                lccrayh parallel rrtmg
+%compiler_name_ser   ftn                                                lccrayh parallel rrtmg
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayh parallel rrtmg
+%mopts               -j:4                                               lccrayh parallel rrtmg
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/include   lccrayh parallel rrtmg
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel rrtmg
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel rrtmg
+%memory              2300                                               lccrayh parallel rrtmg
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel rrtmg
+#
+# HLRN-III Hannover debug/trace mode
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace_rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace_rrtmg
+%compiler_name       ftn                                                lccrayh parallel trace_rrtmg
+%compiler_name_ser   ftn                                                lccrayh parallel trace_rrtmg
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayh parallel trace_rrtmg
+%mopts               -j:4                                               lccrayh parallel trace_rrtmg
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/include  lccrayh parallel trace_rrtmg
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace_rrtmg
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel trace_rrtmg
+%memory              2300                                               lccrayh parallel trace_rrtmg
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace_rrtmg
+#
+# HLRN-III Berlin
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel rrtmg
+%compiler_name       ftn                                                lccrayb parallel rrtmg
+%compiler_name_ser   ftn                                                lccrayb parallel rrtmg
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayb parallel rrtmg
+%mopts               -j:4                                               lccrayb parallel rrtmg
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/shared/include  lccrayb parallel rrtmg
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayb parallel rrtmg
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel rrtmg
+%memory              2300                                               lccrayb parallel rrtmg
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel rrtmg
+#
+# HLRN-III Berlin debug/trace mode
+%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace_rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace_rrtmg
+%compiler_name       ftn                                                lccrayb parallel trace_rrtmg
+%compiler_name_ser   ftn                                                lccrayb parallel trace_rrtmg
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayb parallel trace_rrtmg
+%mopts               -j:4                                               lccrayb parallel trace_rrtmg
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/static_trace/include   lccrayb parallel trace_rrtmg
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace_rrtmg
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel trace_rrtmg
+%memory              2300                                               lccrayb parallel trace_rrtmg
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace_rrtmg
+#
+%write_binary                true                             restart
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
+#----------------------------------------------------------------------------
+#IC:
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:pwd; ls -al
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+rrtmg_lw.nc              in:locopt     d3#:d3f  $base_data/$fname/INPUT    _rlw nc
+rrtmg_sw.nc              in:locopt     d3#:d3f  $base_data/$fname/INPUT    _rsw nc
+RAD_SND_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _rsnd nc
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
+#
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
+HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
+#
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr      nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp      nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts      nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts     nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy      nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av   nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz      nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av   nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz      nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av   nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d      nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av   nc
+DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01     nc
+DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01_av  nc
+DATA_MASK_02_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02     nc
+DATA_MASK_02_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02_av  nc
+DATA_MASK_03_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03     nc
+DATA_MASK_03_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03_av  nc
+DATA_MASK_04_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04     nc
+DATA_MASK_04_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04_av  nc
+DATA_MASK_05_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05     nc
+DATA_MASK_05_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05_av  nc
+DATA_MASK_06_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06     nc
+DATA_MASK_06_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06_av  nc
+DATA_MASK_07_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07     nc
+DATA_MASK_07_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07_av  nc
+DATA_MASK_08_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08     nc
+DATA_MASK_08_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08_av  nc
+DATA_MASK_09_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09     nc
+DATA_MASK_09_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09_av  nc
+DATA_MASK_10_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10     nc
+DATA_MASK_10_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10_av  nc
+DATA_MASK_11_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11     nc
+DATA_MASK_11_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11_av  nc
+DATA_MASK_12_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12     nc
+DATA_MASK_12_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12_av  nc
+DATA_MASK_13_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13     nc
+DATA_MASK_13_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13_av  nc
+DATA_MASK_14_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14     nc
+DATA_MASK_14_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14_av  nc
+DATA_MASK_15_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15     nc
+DATA_MASK_15_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15_av  nc
+DATA_MASK_16_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16     nc
+DATA_MASK_16_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16_av  nc
+DATA_MASK_17_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17     nc
+DATA_MASK_17_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17_av  nc
+DATA_MASK_18_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18     nc
+DATA_MASK_18_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18_av  nc
+DATA_MASK_19_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19     nc
+DATA_MASK_19_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19_av  nc
+DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20     nc
+DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt     nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt     nc
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
+#
+DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
+# A BLANK LINE MUST FOLLOW