Index: palm/trunk/LIB/rrtmg/Makefile
===================================================================
--- palm/trunk/LIB/rrtmg/Makefile	(revision 1585)
+++ palm/trunk/LIB/rrtmg/Makefile	(revision 1586)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# Initial revision
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1585 2015-04-30 07:05:52Z maronga
+# Initial revision
+# 
 # Description:
 # ------------
Index: palm/trunk/LIB/rrtmg/Makefile_static
===================================================================
--- palm/trunk/LIB/rrtmg/Makefile_static	(revision 1585)
+++ palm/trunk/LIB/rrtmg/Makefile_static	(revision 1586)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# Initial revision
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1585 2015-04-30 07:05:52Z maronga
+# Initial revision
+# 
 # Description:
 # ------------
Index: palm/trunk/LIB/rrtmg/install_rrtmg
===================================================================
--- palm/trunk/LIB/rrtmg/install_rrtmg	(revision 1585)
+++ palm/trunk/LIB/rrtmg/install_rrtmg	(revision 1586)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# Initial revision
+# 
 # 
 # Former revisions:
@@ -28,4 +28,7 @@
 # $Id$
 #
+# 1585 2015-04-30 07:05:52Z maronga
+# Initial revision
+# 
 #--------------------------------------------------------------------------------#
 # install_rrtmg - install script for creating a RRTMG library
Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1585)
+++ palm/trunk/SOURCE/Makefile	(revision 1586)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# Added user_init_radiation.f90
+# 
 # 
 # Former revisions:
@@ -26,4 +26,7 @@
 # $Id$
 #
+# 1585 2015-04-30 07:05:52Z maronga
+# Added user_init_radiation.f90
+# 
 # 1575 2015-03-27 09:56:27Z raasch
 # +poismg_fast
Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 1585)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 1586)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$ 
+! 
+! 1581 2015-04-10 13:45:59Z suehring
+! 
 ! 
 ! 1580 2015-04-10 13:43:49Z suehring
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 1585)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Adapted for RRTMG
+! 
 ! 1555 2015-03-04 17:44:27Z maronga
 ! Added output of r_a and r_s
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1585)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1586)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Added support for RRTMG
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1585 2015-04-30 07:05:52Z maronga
+! Added support for RRTMG
 !
 ! 1575 2015-03-27 09:56:27Z raasch
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1585)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added support for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Added support for RRTMG
+! 
 ! 1555 2015-03-04 17:44:27Z maronga
 ! Added output of r_a and r_s
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1585)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added support for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Added support for RRTMG
+! 
 ! 1551 2015-03-03 14:18:16Z maronga
 ! Added suppport for land surface model and radiation model output. In the course
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 1585)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added support for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Added support for RRTMG
+! 
 ! 1438 2014-07-22 14:14:06Z heinze
 ! +nr, qc, qr
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1585)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1586)
@@ -21,5 +21,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of timeseries and profiles for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -27,4 +27,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Added output of timeseries and profiles for RRTMG
+! 
 ! 1571 2015-03-12 16:12:49Z maronga
 ! Bugfix: output of rad_net and rad_sw_in
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1585)
+++ palm/trunk/SOURCE/header.f90	(revision 1586)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Further output for radiation model(s).
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1585 2015-04-30 07:05:52Z maronga
+! Further output for radiation model(s).
 !
 ! 1575 2015-03-27 09:56:27Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1585)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1586)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! Initialization of radiation code is now done after LSM initializtion
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1585 2015-04-30 07:05:52Z maronga
+! Initialization of radiation code is now done after LSM initializtion
 !
 ! 1575 2015-03-27 09:56:27Z raasch
Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1585)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Modifications for RRTMG. Changed tables to PARAMETER type. 
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 ! Bugfix: REAL constants provided with KIND-attribute in call of 
+! 1585 2015-04-30 07:05:52Z maronga
+! Modifications for RRTMG. Changed tables to PARAMETER type. 
+! 
 ! 1571 2015-03-12 16:12:49Z maronga
 ! Removed upper-case variable names. Corrected distribution of precipitation to 
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1585)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1586)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Added several radiation_par parameters
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1585 2015-04-30 07:05:52Z maronga
+! Added several radiation_par parameters
 !
 ! 1575 2015-03-27 09:56:27Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1585)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Added call for temperature tendency calculation due to radiative flux divergence
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Added call for temperature tendency calculation due to radiative flux divergence
+! 
 ! 1517 2015-01-07 19:12:25Z hoffmann
 ! advec_s_bc_mod addded, since advec_s_bc is now a module
Index: palm/trunk/SOURCE/radiation_model.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model.f90	(revision 1585)
+++ palm/trunk/SOURCE/radiation_model.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added support for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Added support for RRTMG
+! 
 ! 1571 2015-03-12 16:12:49Z maronga
 ! Added missing KIND attribute. Removed upper-case variable names
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 1585)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Adapted for RRTMG
+! 
 ! 1551 2015-03-03 14:18:16Z maronga
 ! Added support for binary input of land surface and radiation model data. In the
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1585)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Adapted for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Adapted for RRTMG
+! 
 ! 1560 2015-03-06 10:48:54Z keck
 ! +recycling_yshift
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1585)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Adapted for RRTMG
+! 
 ! 1555 2015-03-04 17:44:27Z maronga
 ! Added output of r_a and r_s
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1585)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Moved call of radiation scheme. Added support for RRTM
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Moved call of radiation scheme. Added support for RRTM
+! 
 ! 1551 2015-03-03 14:18:16Z maronga
 ! Added interface for different radiation schemes.
Index: palm/trunk/SOURCE/user_init_land_surface.f90
===================================================================
--- palm/trunk/SOURCE/user_init_land_surface.f90	(revision 1585)
+++ palm/trunk/SOURCE/user_init_land_surface.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Changed description text
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 
+! 1585 2015-04-30 07:05:52Z maronga
+! Changed description text
+! 
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Initial revision
Index: palm/trunk/SOURCE/user_init_radiation.f90
===================================================================
--- palm/trunk/SOURCE/user_init_radiation.f90	(revision 1585)
+++ palm/trunk/SOURCE/user_init_radiation.f90	(revision 1586)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Initial revision
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! 
+! 1585 2015-04-30 07:05:52Z maronga
+! Initial revision
 ! 
 ! Description:
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1585)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Adapted for RRTMG
+! 
 ! 1551 2015-03-03 14:18:16Z maronga
 ! Added support for binary ouput of land surface and radiation model data. 
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1585)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1586)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1585 2015-04-30 07:05:52Z maronga
+! Adapted for RRTMG
+! 
 ! 1551 2015-03-03 14:18:16Z maronga
 ! Typo removed