Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1589)
+++ palm/trunk/SOURCE/header.f90	(revision 1590)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix: Added TRIM statements for character strings for LSM and radiation code
 ! 
 ! Former revisions:
@@ -922,5 +922,6 @@
        ENDIF
 
-       WRITE( io, 438 ) veg_type_name(veg_type), soil_type_name(soil_type)
+       WRITE( io, 438 ) TRIM( veg_type_name(veg_type) ),                       &
+                        TRIM (soil_type_name(soil_type) )
        WRITE( io, 439 ) TRIM( coordinates ), TRIM( temperatures ),             &
                         TRIM( gradients ), TRIM( roots ), TRIM( slices )
@@ -947,5 +948,5 @@
           WRITE( io, 448 ) albedo
        ELSE
-          WRITE( io, 456 ) albedo_type_name(albedo_type)
+          WRITE( io, 456 ) TRIM( albedo_type_name(albedo_type) )
        ENDIF
        IF ( constant_albedo )  THEN
Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1589)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1590)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix: definition of character strings requires same length for all elements
 ! 
 ! Former revisions:
@@ -292,24 +292,24 @@
 !-- Predefined Land surface classes (veg_type)
     CHARACTER(26), DIMENSION(0:19), PARAMETER :: veg_type_name = (/ &
-                                   'user defined',                  & ! 0 
-                                   'crops, mixed farming',          & !  1
-                                   'short grass',                   & !  2
+                                   'user defined              ',    & ! 0 
+                                   'crops, mixed farming      ',    & !  1
+                                   'short grass               ',    & !  2
                                    'evergreen needleleaf trees',    & !  3
                                    'deciduous needleleaf trees',    & !  4
-                                   'evergreen broadleaf trees' ,    & !  5
-                                   'deciduous broadleaf trees',     & !  6
-                                   'tall grass',                    & !  7
-                                   'desert',                        & !  8
-                                   'tundra',                        & !  9
-                                   'irrigated crops',               & ! 10
-                                   'semidesert',                    & ! 11
-                                   'ice caps and glaciers' ,        & ! 12
-                                   'bogs and marshes',              & ! 13
-                                   'inland water',                  & ! 14
-                                   'ocean',                         & ! 15
-                                   'evergreen shrubs',              & ! 16
-                                   'deciduous shrubs',              & ! 17
-                                   'mixed forest/woodland',         & ! 18
-                                   'interrupted forest'             & ! 19
+                                   'evergreen broadleaf trees ',    & !  5
+                                   'deciduous broadleaf trees ',    & !  6
+                                   'tall grass                ',    & !  7
+                                   'desert                    ',    & !  8
+                                   'tundra                    ',    & !  9
+                                   'irrigated crops           ',    & ! 10
+                                   'semidesert                ',    & ! 11
+                                   'ice caps and glaciers     ',    & ! 12
+                                   'bogs and marshes          ',    & ! 13
+                                   'inland water              ',    & ! 14
+                                   'ocean                     ',    & ! 15
+                                   'evergreen shrubs          ',    & ! 16
+                                   'deciduous shrubs          ',    & ! 17
+                                   'mixed forest/woodland     ',    & ! 18
+                                   'interrupted forest        '     & ! 19
                                                                  /)
 
@@ -318,11 +318,11 @@
     CHARACTER(12), DIMENSION(0:7), PARAMETER :: soil_type_name = (/ &
                                    'user defined',                  & ! 0 
-                                   'coarse',                        & ! 1
-                                   'medium',                        & ! 2
-                                   'medium-fine',                   & ! 3
-                                   'fine',                          & ! 4
-                                   'very fine' ,                    & ! 5
-                                   'organic',                       & ! 6
-                                   'loamy (CH)'                     & ! 7
+                                   'coarse      ',                  & ! 1
+                                   'medium      ',                  & ! 2
+                                   'medium-fine ',                  & ! 3
+                                   'fine        ',                  & ! 4
+                                   'very fine   ',                  & ! 5
+                                   'organic     ',                  & ! 6
+                                   'loamy (CH)  '                   & ! 7
                                                                  /)
 !
Index: palm/trunk/SOURCE/radiation_model.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model.f90	(revision 1589)
+++ palm/trunk/SOURCE/radiation_model.f90	(revision 1590)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix: definition of character strings requires same length for all elements
 ! 
 ! Former revisions:
@@ -111,22 +111,22 @@
 !
 !-- Predefined Land surface classes (albedo_type) after Briegleb (1992)
-    CHARACTER(37), DIMENSION(0:16), PARAMETER :: albedo_type_name = (/    &
-                                   'user defined',                         & !  0 
-                                   'ocean',                                & !  1
-                                   'mixed farming, tall grassland',        & !  2
-                                   'tall/medium grassland',                & !  3 
-                                   'evergreen shrubland',                  & !  4
-                                   'short grassland/meadow/shrubland',     & !  5
-                                   'evergreen needleleaf forest',          & !  6
-                                   'mixed deciduous evergreen forest',     & !  7
-                                   'deciduous forest',                     & !  8
-                                   'tropical evergreen broadleaved forest',& !  9
-                                   'medium/tall grassland/woodland',       & ! 10
-                                   'desert, sandy',                        & ! 11 
-                                   'desert, rocky',                        & ! 12 
-                                   'tundra',                               & ! 13
-                                   'land ice',                             & ! 14 
-                                   'sea ice',                              & ! 15 
-                                   'snow'                                  & ! 16
+    CHARACTER(37), DIMENSION(0:16), PARAMETER :: albedo_type_name = (/      &
+                                   'user defined                         ', & !  0 
+                                   'ocean                                ', & !  1
+                                   'mixed farming, tall grassland        ', & !  2
+                                   'tall/medium grassland                ', & !  3 
+                                   'evergreen shrubland                  ', & !  4
+                                   'short grassland/meadow/shrubland     ', & !  5
+                                   'evergreen needleleaf forest          ', & !  6
+                                   'mixed deciduous evergreen forest     ', & !  7
+                                   'deciduous forest                     ', & !  8
+                                   'tropical evergreen broadleaved forest', & !  9
+                                   'medium/tall grassland/woodland       ', & ! 10
+                                   'desert, sandy                        ', & ! 11 
+                                   'desert, rocky                        ', & ! 12 
+                                   'tundra                               ', & ! 13
+                                   'land ice                             ', & ! 14 
+                                   'sea ice                              ', & ! 15 
+                                   'snow                                 '  & ! 16
                                                          /)
 