Index: palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1047)
+++ palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1611)
@@ -18,4 +18,5 @@
 // Current revisions:
 // -----------------
+// Added routine start_watchdog.
 //
 // Former revisions:
@@ -1263,4 +1264,13 @@
     out << tmptime + " " + mrunline;
     file.close();
+
+    return 0;
+}
+
+//****************************************************************************//
+//  Start watchdog (palm_wd)
+int MainWindow::start_watchdog()
+{
+    system("nohup palm_wd >> /dev/null 2>&1 &");
 
     return 0;
Index: palm/trunk/UTIL/mrungui/mainwindow.h
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.h	(revision 1047)
+++ palm/trunk/UTIL/mrungui/mainwindow.h	(revision 1611)
@@ -2,4 +2,5 @@
 // Current revisions:
 // -----------------
+// Added slot start_watchdog 
 //
 // Former revisions:
@@ -58,4 +59,5 @@
     int save_to_file();
     int save_default();
+    int start_watchdog();
     int open_from_file();
     int open_last();
Index: palm/trunk/UTIL/mrungui/mainwindow.ui
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 1047)
+++ palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 1611)
@@ -1359,8 +1359,8 @@
     <property name="geometry">
      <rect>
-      <x>2190</x>
-      <y>99</y>
+      <x>2175</x>
+      <y>98</y>
       <width>133</width>
-      <height>182</height>
+      <height>206</height>
      </rect>
     </property>
@@ -1376,4 +1376,5 @@
     <addaction name="action_save"/>
     <addaction name="action_default"/>
+    <addaction name="action_start_wd"/>
     <addaction name="action_quit"/>
    </widget>
@@ -1437,4 +1438,9 @@
    </property>
   </action>
+  <action name="action_start_wd">
+   <property name="text">
+    <string>Start watchdog</string>
+   </property>
+  </action>
  </widget>
  <layoutdefault spacing="1" margin="11"/>
@@ -1502,5 +1508,5 @@
     <hint type="sourcelabel">
      <x>160</x>
-     <y>657</y>
+     <y>655</y>
     </hint>
     <hint type="destinationlabel">
@@ -1518,5 +1524,5 @@
     <hint type="sourcelabel">
      <x>73</x>
-     <y>657</y>
+     <y>655</y>
     </hint>
     <hint type="destinationlabel">
@@ -1710,5 +1716,5 @@
     <hint type="sourcelabel">
      <x>429</x>
-     <y>281</y>
+     <y>279</y>
     </hint>
     <hint type="destinationlabel">
@@ -1726,5 +1732,5 @@
     <hint type="sourcelabel">
      <x>431</x>
-     <y>256</y>
+     <y>254</y>
     </hint>
     <hint type="destinationlabel">
@@ -1742,5 +1748,5 @@
     <hint type="sourcelabel">
      <x>415</x>
-     <y>314</y>
+     <y>312</y>
     </hint>
     <hint type="destinationlabel">
@@ -1774,5 +1780,5 @@
     <hint type="sourcelabel">
      <x>72</x>
-     <y>541</y>
+     <y>539</y>
     </hint>
     <hint type="destinationlabel">
@@ -1790,5 +1796,5 @@
     <hint type="sourcelabel">
      <x>76</x>
-     <y>566</y>
+     <y>564</y>
     </hint>
     <hint type="destinationlabel">
@@ -1806,5 +1812,5 @@
     <hint type="sourcelabel">
      <x>53</x>
-     <y>591</y>
+     <y>589</y>
     </hint>
     <hint type="destinationlabel">
@@ -1950,5 +1956,5 @@
     <hint type="sourcelabel">
      <x>119</x>
-     <y>403</y>
+     <y>401</y>
     </hint>
     <hint type="destinationlabel">
@@ -1966,5 +1972,5 @@
     <hint type="sourcelabel">
      <x>149</x>
-     <y>428</y>
+     <y>426</y>
     </hint>
     <hint type="destinationlabel">
@@ -1998,5 +2004,5 @@
     <hint type="sourcelabel">
      <x>179</x>
-     <y>478</y>
+     <y>476</y>
     </hint>
     <hint type="destinationlabel">
@@ -2030,5 +2036,5 @@
     <hint type="sourcelabel">
      <x>361</x>
-     <y>428</y>
+     <y>426</y>
     </hint>
     <hint type="destinationlabel">
@@ -2046,5 +2052,5 @@
     <hint type="sourcelabel">
      <x>328</x>
-     <y>453</y>
+     <y>451</y>
     </hint>
     <hint type="destinationlabel">
@@ -2062,5 +2068,5 @@
     <hint type="sourcelabel">
      <x>262</x>
-     <y>503</y>
+     <y>501</y>
     </hint>
     <hint type="destinationlabel">
@@ -2078,5 +2084,5 @@
     <hint type="sourcelabel">
      <x>324</x>
-     <y>503</y>
+     <y>501</y>
     </hint>
     <hint type="destinationlabel">
@@ -2110,5 +2116,5 @@
     <hint type="sourcelabel">
      <x>796</x>
-     <y>387</y>
+     <y>386</y>
     </hint>
     <hint type="destinationlabel">
@@ -2142,5 +2148,5 @@
     <hint type="sourcelabel">
      <x>850</x>
-     <y>438</y>
+     <y>436</y>
     </hint>
     <hint type="destinationlabel">
@@ -2174,5 +2180,5 @@
     <hint type="sourcelabel">
      <x>885</x>
-     <y>488</y>
+     <y>486</y>
     </hint>
     <hint type="destinationlabel">
@@ -2190,5 +2196,5 @@
     <hint type="sourcelabel">
      <x>900</x>
-     <y>513</y>
+     <y>511</y>
     </hint>
     <hint type="destinationlabel">
@@ -2206,5 +2212,5 @@
     <hint type="sourcelabel">
      <x>900</x>
-     <y>538</y>
+     <y>536</y>
     </hint>
     <hint type="destinationlabel">
@@ -2222,5 +2228,5 @@
     <hint type="sourcelabel">
      <x>900</x>
-     <y>563</y>
+     <y>561</y>
     </hint>
     <hint type="destinationlabel">
@@ -2270,5 +2276,5 @@
     <hint type="sourcelabel">
      <x>307</x>
-     <y>657</y>
+     <y>655</y>
     </hint>
     <hint type="destinationlabel">
@@ -2447,4 +2453,20 @@
      <x>730</x>
      <y>295</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>458</x>
+     <y>344</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>action_start_wd</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>start_watchdog()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
     </hint>
     <hint type="destinationlabel">
@@ -2472,4 +2494,5 @@
   <slot>save_default()</slot>
   <slot>help()</slot>
+  <slot>start_watchdog()</slot>
  </slots>
 </ui>