Index: palm/trunk/LIB/rrtmg/install_rrtmg
===================================================================
--- palm/trunk/LIB/rrtmg/install_rrtmg	(revision 1612)
+++ palm/trunk/LIB/rrtmg/install_rrtmg	(revision 1613)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# Bugfix: compilation of shared library fails due to misplaced rm command
 # 
 # Former revisions:
@@ -46,15 +46,16 @@
 # compiler_name="ftn"
 # fopts="-em -s real64 -O3 -hnoomp -hfp3 -hdynamic"
+# fopts_trace="-eD -em -g -R b -K trap=fp -O0 -hnoomp"
 #
 #
 
- compiler_name="mpif90"
- fopts="-fltconsistency -O3 -cpp -r8 -nbs -convert little_endian -I /muksoft/packages/netcdf/4_intel/include"
- fopts_trace="-fpe0 -C -check nooutput_conversion -debug -traceback -g -w -xT -O0 -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -convert little_endian -diag-disable 8290,8291 -I /muksoft/packages/netcdf/4_intel/include"
- install_path="$HOME/palm/rrtmg"
- compile_static=true
+ compiler_name="ftn"
+ fopts="-em -s real64 -O3 -hnoomp -hfp3 -hdynamic"
+ fopts_trace="-eD -em -g -R b -K trap=fp -O0 -hnoomp -fpic"
+ install_path="$HOME/rrtmg"
+ compile_static=false
  compile_shared=true
  compile_static_debug=false
- compile_shared_debug=false
+ compile_shared_debug=true
 
  while  getopts  p: option
@@ -144,8 +145,15 @@
     mkdir -p $install_path/shared/lib
     mkdir -p $install_path/shared/include
-    cp shared/lib/$prog.so.$version $install_path/shared/lib
+    cp shared/lib/$prog.so.$version $install_path/shared/lib/
     cp shared/include/*.mod $install_path/shared/include/
-    rm $install_path/shared/lib/$prog.so.$version $install_path/shared/lib/$prog.so.1
+    if [ -f $install_path/shared/lib/$prog.so.1 ]
+    then
+       rm $install_path/shared/lib/$prog.so.1
+    fi
     ln -s $install_path/shared/lib/$prog.so.$version $install_path/shared/lib/$prog.so.1
+    if [ -f $install_path/shared/lib/$prog.so ]
+    then
+       rm $install_path/shared/lib/$prog.so
+    fi
     ln -s $install_path/shared/lib/$prog.so.1 $install_path/shared/lib/$prog.so
     rm -rf shared
@@ -167,6 +175,13 @@
     cp shared_trace/lib/$prog.so.$version $install_path/shared_trace/lib
     cp shared_trace/include/*.mod $install_path/shared_trace/include/
-    rm $install_path/shared_trace/lib/$prog.so.$version $install_path/shared_trace/lib/$prog.so.1
+    if [ -f $install_path/shared_trace/lib/$prog.so.1 ]
+    then
+       rm $install_path/shared_trace/lib/$prog.so.1
+    fi
     ln -s $install_path/shared_trace/lib/$prog.so.$version $install_path/shared_trace/lib/$prog.so.1
+    if [ -f $install_path/shared_trace/lib/$prog.so ]
+    then
+       rm $install_path/shared_trace/lib/$prog.so
+    fi
     ln -s $install_path/shared_trace/lib/$prog.so.1 $install_path/shared_trace/lib/$prog.so
     rm -rf shared_trace
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1612)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1613)
@@ -22,5 +22,5 @@
 # Current revisions:
 # ------------------
-# 
+# nc2vdf removed
 # 
 # Former revisions:
@@ -1236,5 +1236,5 @@
 
              # COPY SHELL-SCRIPTS
-          scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob batch_nc2vdf nc2vdf nc2vdf.ncl nc2vdf.config ${remote_username}@${remote_address}:${remote_ud}/../SCRIPTS  >  /dev/null
+          scp  batch_scp mbuild mrun process_dvr_output .dvrserver.config subjob ${remote_username}@${remote_address}:${remote_ud}/../SCRIPTS  >  /dev/null
 
           cd  -  > /dev/null
Index: palm/trunk/SCRIPTS/palm_wd
===================================================================
--- palm/trunk/SCRIPTS/palm_wd	(revision 1612)
+++ palm/trunk/SCRIPTS/palm_wd	(revision 1613)
@@ -20,5 +20,7 @@
 # Current revisions:
 # -----------------
-# 
+# Bugfix: tooltip for queuing name did not show up on first update.
+# New: added contect menu for showing the parameter file and the run control
+# output
 # 
 # Former revisions:
@@ -87,4 +89,32 @@
 job_data_list = []
 
+class MessageBoxScroll(QtGui.QMessageBox):
+    def __init__(self):
+        QtGui.QMessageBox.__init__(self)
+        self.setSizeGripEnabled(True)
+
+    def event(self, e):
+        result = QtGui.QMessageBox.event(self, e)
+
+        self.setMinimumHeight(100)
+        self.setMaximumHeight(16777215)
+        self.setMinimumWidth(400)
+        self.setMaximumWidth(16777215)
+        self.setSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
+
+        textEdit = self.findChild(QtGui.QTextEdit)
+        if textEdit != None :
+            textEdit.setMinimumHeight(800)
+            textEdit.setMaximumHeight(16777215)
+            textEdit.setMinimumWidth(1000)
+            textEdit.setMaximumWidth(16777215)
+            textEdit.setSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
+            f = QtGui.QFont('not_a_font') # 
+            f.setStyleHint(f.TypeWriter, f.PreferDefault)
+            textEdit.setFont(f)
+
+        return result
+
+
 # MainWindow class
 class Watchdog(QtGui.QMainWindow):
@@ -112,5 +142,5 @@
         self.table.setColumnHidden(6, True)
         self.table.setRowCount(0) 
-        
+    
         # Display MainWindow
         self.show()
@@ -145,8 +175,17 @@
        
         # "Show details" -> fetch details for the selected job
-        detailsjobAction = menu.addAction('Show details')     
+        detailsjobAction = menu.addAction('Show job details')     
         detailsjobAction.setStatusTip('Display detailed info for job')
         detailsjobAction.triggered.connect(self.ShowDetails)
 
+        # "Show parameter file" -> show the contents of PARIN
+        parinAction = menu.addAction('Show parameter file')     
+        parinAction.setStatusTip('Display the parameter file of the job (e.g. PARIN / _p3d)')
+        parinAction.triggered.connect(self.ShowPARIN)
+        
+        rcAction = menu.addAction('Show run control file')     
+        rcAction.setStatusTip('Display the current run control file (e.g. RUN_CONTROL / _rc)')
+        rcAction.triggered.connect(self.ShowRC)
+        
         # "Cancel job" -> remove job from queuing system
         canceljobAction = menu.addAction('Cancel job')
@@ -154,10 +193,10 @@
         canceljobAction.triggered.connect(self.CancelJob)
         
-        # "Force stop" -> remove job from queuing system
+        # "Force stop" -> force termination of job
         stopjobAction = menu.addAction('Force stop')
         stopjobAction.setStatusTip('Terminate job properly')
         stopjobAction.triggered.connect(self.DoStop)
    
-        # "Force restart" -> remove job from queuing system
+        # "Force restart" -> force rermination and restart of job
         restartjobAction = menu.addAction('Force restart')
         restartjobAction.setStatusTip('Terminate job properly and initiate restart')
@@ -184,8 +223,12 @@
 	    stopjobAction.setEnabled(True) 
             restartjobAction.setEnabled(True)   
+            parinAction.setEnabled(True)
+            rcAction.setEnabled(True)          
         else:
 	    stopjobAction.setEnabled(False) 
             restartjobAction.setEnabled(False)   
-   
+            parinAction.setEnabled(False)
+            rcAction.setEnabled(False)  
+            
         # Show the context menu
         action = menu.exec_(self.table.mapToGlobal(position))
@@ -373,5 +416,4 @@
                 item.setToolTip("Queuing name: " + job_data[to_display[j]][6])
                 self.table.setItem(i, 0, item)   
-                self.table.setItem(i, 0, QtGui.QTableWidgetItem(job_data[to_display[j]][0]))            
                 self.table.setItem(i, 1, QtGui.QTableWidgetItem(job_data[to_display[j]][1])) 
                 self.table.setItem(i, 2, QtGui.QTableWidgetItem(job_data[to_display[j]][2]))   
@@ -607,4 +649,71 @@
             notify = QtGui.QMessageBox.information(self,'Terminate job for restart',"Restart for job" + jobname + " was initiated!\n\nServer message:\n" + ''.join(result))
             
+
+    # Read the PARIN file of the job
+    def ShowPARIN(self):
+
+        # Return internal jobname
+        jobname = self.table.item(self.table.currentRow(),6).text()
+        jobrealname = self.table.item(self.table.currentRow(),0).text()     
+ 
+        # Check description of job in order to login on the correct host
+        descr = self.table.item(self.table.currentRow(),1).text()
+        for h in range(0,len(description)):
+	    if ( descr == description[h] ):
+                host = username[h] + "@" + hostname[h]
+                user = username[h]
+
+        ssh = sub.Popen(["ssh", "%s" % host, "/sw/tools/python/2.7.6/generic/bin/python palm_wdd parin " + user + " " + jobname],
+                           shell=False,
+                           stdout=sub.PIPE,
+                           stderr=sub.PIPE)
+        result = ssh.stdout.readlines()
+        result = filter(None, result)
+        
+        # In case of error display a warning message
+        if ( len(result) == 0 ):
+            error = ssh.stderr.readlines()
+            notify = QtGui.QMessageBox.warning(self,'Showing parameter file',"Error. Could not fetch parameter file for job " + jobrealname + " (" + jobname + ").\n\nError message:\n" + ''.join(error))
+
+        # Otherwise inform the user and mark the job in the table
+        else:
+	   mb = MessageBoxScroll()
+           mb.setText("Parameter file for job: " + jobrealname + "")
+           mb.setDetailedText(''.join(result))
+           mb.exec_()
+
+    # Read the PARIN file of the job
+    def ShowRC(self):
+
+        # Return internal jobname and real job name
+        jobname = self.table.item(self.table.currentRow(),6).text()
+        jobrealname = self.table.item(self.table.currentRow(),0).text()      
+ 
+        # Check description of job in order to login on the correct host
+        descr = self.table.item(self.table.currentRow(),1).text()
+        for h in range(0,len(description)):
+	    if ( descr == description[h] ):
+                host = username[h] + "@" + hostname[h]
+                user = username[h]
+
+        ssh = sub.Popen(["ssh", "%s" % host, "/sw/tools/python/2.7.6/generic/bin/python palm_wdd rc " + user + " " + jobname],
+                           shell=False,
+                           stdout=sub.PIPE,
+                           stderr=sub.PIPE)
+        result = ssh.stdout.readlines()
+        result = filter(None, result)
+        
+        # In case of error display a warning message
+        if ( len(result) == 0 ):
+            error = ssh.stderr.readlines()
+            notify = QtGui.QMessageBox.warning(self,'Showing run control',"Error. Could not fetch run control file for job " + jobrealname + "(" + jobname + ").\n\nError message:\n" + ''.join(error))
+
+        # Otherwise inform the user and mark the job in the table
+        else:
+	   mb = MessageBoxScroll()
+	   lastline = result[len(result)-2].split()[2]
+           mb.setText("Simulated time for job " + jobrealname + " is currently: " + lastline)
+           mb.setDetailedText(''.join(result))
+           mb.exec_()
 
     # Remove a job from list - removes the current row from the table and from
Index: palm/trunk/SCRIPTS/palm_wd_files/wd.ui
===================================================================
--- palm/trunk/SCRIPTS/palm_wd_files/wd.ui	(revision 1612)
+++ palm/trunk/SCRIPTS/palm_wd_files/wd.ui	(revision 1613)
@@ -10,6 +10,6 @@
     <x>0</x>
     <y>0</y>
-    <width>758</width>
-    <height>183</height>
+    <width>798</width>
+    <height>197</height>
    </rect>
   </property>
@@ -28,5 +28,5 @@
   <property name="maximumSize">
    <size>
-    <width>758</width>
+    <width>1500</width>
     <height>1000</height>
    </size>
@@ -94,4 +94,286 @@
        <string>Last update: 27-08-2014 12:50</string>
       </property>
+     </widget>
+    </item>
+    <item row="0" column="0" colspan="6">
+     <widget class="QTableWidget" name="table">
+      <property name="enabled">
+       <bool>true</bool>
+      </property>
+      <property name="sizePolicy">
+       <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+        <horstretch>0</horstretch>
+        <verstretch>20</verstretch>
+       </sizepolicy>
+      </property>
+      <property name="minimumSize">
+       <size>
+        <width>0</width>
+        <height>0</height>
+       </size>
+      </property>
+      <property name="sizeIncrement">
+       <size>
+        <width>0</width>
+        <height>0</height>
+       </size>
+      </property>
+      <property name="contextMenuPolicy">
+       <enum>Qt::CustomContextMenu</enum>
+      </property>
+      <property name="frameShape">
+       <enum>QFrame::StyledPanel</enum>
+      </property>
+      <property name="frameShadow">
+       <enum>QFrame::Plain</enum>
+      </property>
+      <property name="lineWidth">
+       <number>1</number>
+      </property>
+      <property name="verticalScrollBarPolicy">
+       <enum>Qt::ScrollBarAsNeeded</enum>
+      </property>
+      <property name="horizontalScrollBarPolicy">
+       <enum>Qt::ScrollBarAlwaysOff</enum>
+      </property>
+      <property name="autoScroll">
+       <bool>false</bool>
+      </property>
+      <property name="editTriggers">
+       <set>QAbstractItemView::NoEditTriggers</set>
+      </property>
+      <property name="tabKeyNavigation">
+       <bool>false</bool>
+      </property>
+      <property name="showDropIndicator" stdset="0">
+       <bool>false</bool>
+      </property>
+      <property name="dragDropOverwriteMode">
+       <bool>false</bool>
+      </property>
+      <property name="alternatingRowColors">
+       <bool>false</bool>
+      </property>
+      <property name="selectionMode">
+       <enum>QAbstractItemView::SingleSelection</enum>
+      </property>
+      <property name="selectionBehavior">
+       <enum>QAbstractItemView::SelectRows</enum>
+      </property>
+      <property name="textElideMode">
+       <enum>Qt::ElideLeft</enum>
+      </property>
+      <property name="showGrid">
+       <bool>true</bool>
+      </property>
+      <property name="gridStyle">
+       <enum>Qt::SolidLine</enum>
+      </property>
+      <property name="sortingEnabled">
+       <bool>true</bool>
+      </property>
+      <property name="wordWrap">
+       <bool>false</bool>
+      </property>
+      <property name="cornerButtonEnabled">
+       <bool>false</bool>
+      </property>
+      <property name="rowCount">
+       <number>3</number>
+      </property>
+      <attribute name="horizontalHeaderVisible">
+       <bool>true</bool>
+      </attribute>
+      <attribute name="horizontalHeaderCascadingSectionResizes">
+       <bool>false</bool>
+      </attribute>
+      <attribute name="horizontalHeaderDefaultSectionSize">
+       <number>128</number>
+      </attribute>
+      <attribute name="horizontalHeaderHighlightSections">
+       <bool>false</bool>
+      </attribute>
+      <attribute name="horizontalHeaderStretchLastSection">
+       <bool>true</bool>
+      </attribute>
+      <attribute name="verticalHeaderVisible">
+       <bool>false</bool>
+      </attribute>
+      <attribute name="verticalHeaderDefaultSectionSize">
+       <number>20</number>
+      </attribute>
+      <attribute name="verticalHeaderMinimumSectionSize">
+       <number>18</number>
+      </attribute>
+      <attribute name="verticalHeaderStretchLastSection">
+       <bool>false</bool>
+      </attribute>
+      <row/>
+      <row/>
+      <row/>
+      <column>
+       <property name="text">
+        <string>Job</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignJustify|AlignVCenter</set>
+       </property>
+      </column>
+      <column>
+       <property name="text">
+        <string>Host</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignJustify|AlignVCenter</set>
+       </property>
+      </column>
+      <column>
+       <property name="text">
+        <string>Nodes</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignRight|AlignVCenter</set>
+       </property>
+      </column>
+      <column>
+       <property name="text">
+        <string>Status</string>
+       </property>
+      </column>
+      <column>
+       <property name="text">
+        <string>Progress</string>
+       </property>
+       <property name="font">
+        <font>
+         <weight>50</weight>
+         <bold>false</bold>
+        </font>
+       </property>
+       <property name="textAlignment">
+        <set>AlignJustify|AlignVCenter</set>
+       </property>
+      </column>
+      <column>
+       <property name="text">
+        <string>Remaining time</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignRight|AlignVCenter</set>
+       </property>
+      </column>
+      <column>
+       <property name="text">
+        <string>Jobname</string>
+       </property>
+      </column>
+      <item row="0" column="0">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="0" column="1">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="0" column="2">
+       <property name="text">
+        <string>1</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignRight|AlignVCenter</set>
+       </property>
+      </item>
+      <item row="0" column="3">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="0" column="4">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="0" column="5">
+       <property name="text">
+        <string>1</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignRight|AlignVCenter</set>
+       </property>
+      </item>
+      <item row="1" column="0">
+       <property name="text">
+        <string>11</string>
+       </property>
+      </item>
+      <item row="1" column="1">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="1" column="2">
+       <property name="text">
+        <string>1</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignRight|AlignVCenter</set>
+       </property>
+      </item>
+      <item row="1" column="3">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="1" column="4">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="1" column="5">
+       <property name="text">
+        <string>1</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignRight|AlignVCenter</set>
+       </property>
+      </item>
+      <item row="2" column="0">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="2" column="1">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="2" column="2">
+       <property name="text">
+        <string>1</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignRight|AlignVCenter</set>
+       </property>
+      </item>
+      <item row="2" column="3">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="2" column="4">
+       <property name="text">
+        <string>1</string>
+       </property>
+      </item>
+      <item row="2" column="5">
+       <property name="text">
+        <string>1</string>
+       </property>
+       <property name="textAlignment">
+        <set>AlignRight|AlignVCenter</set>
+       </property>
+      </item>
      </widget>
     </item>
@@ -205,280 +487,4 @@
      </widget>
     </item>
-    <item row="0" column="0" colspan="5">
-     <widget class="QTableWidget" name="table">
-      <property name="enabled">
-       <bool>true</bool>
-      </property>
-      <property name="sizePolicy">
-       <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
-        <horstretch>0</horstretch>
-        <verstretch>20</verstretch>
-       </sizepolicy>
-      </property>
-      <property name="minimumSize">
-       <size>
-        <width>0</width>
-        <height>0</height>
-       </size>
-      </property>
-      <property name="sizeIncrement">
-       <size>
-        <width>0</width>
-        <height>0</height>
-       </size>
-      </property>
-      <property name="contextMenuPolicy">
-       <enum>Qt::CustomContextMenu</enum>
-      </property>
-      <property name="frameShape">
-       <enum>QFrame::StyledPanel</enum>
-      </property>
-      <property name="frameShadow">
-       <enum>QFrame::Plain</enum>
-      </property>
-      <property name="lineWidth">
-       <number>1</number>
-      </property>
-      <property name="verticalScrollBarPolicy">
-       <enum>Qt::ScrollBarAsNeeded</enum>
-      </property>
-      <property name="horizontalScrollBarPolicy">
-       <enum>Qt::ScrollBarAlwaysOff</enum>
-      </property>
-      <property name="autoScroll">
-       <bool>false</bool>
-      </property>
-      <property name="editTriggers">
-       <set>QAbstractItemView::NoEditTriggers</set>
-      </property>
-      <property name="tabKeyNavigation">
-       <bool>false</bool>
-      </property>
-      <property name="showDropIndicator" stdset="0">
-       <bool>false</bool>
-      </property>
-      <property name="dragDropOverwriteMode">
-       <bool>false</bool>
-      </property>
-      <property name="alternatingRowColors">
-       <bool>false</bool>
-      </property>
-      <property name="selectionMode">
-       <enum>QAbstractItemView::SingleSelection</enum>
-      </property>
-      <property name="selectionBehavior">
-       <enum>QAbstractItemView::SelectRows</enum>
-      </property>
-      <property name="textElideMode">
-       <enum>Qt::ElideLeft</enum>
-      </property>
-      <property name="showGrid">
-       <bool>true</bool>
-      </property>
-      <property name="gridStyle">
-       <enum>Qt::SolidLine</enum>
-      </property>
-      <property name="sortingEnabled">
-       <bool>true</bool>
-      </property>
-      <property name="wordWrap">
-       <bool>false</bool>
-      </property>
-      <property name="cornerButtonEnabled">
-       <bool>false</bool>
-      </property>
-      <property name="rowCount">
-       <number>3</number>
-      </property>
-      <attribute name="horizontalHeaderVisible">
-       <bool>true</bool>
-      </attribute>
-      <attribute name="horizontalHeaderCascadingSectionResizes">
-       <bool>false</bool>
-      </attribute>
-      <attribute name="horizontalHeaderDefaultSectionSize">
-       <number>128</number>
-      </attribute>
-      <attribute name="horizontalHeaderHighlightSections">
-       <bool>false</bool>
-      </attribute>
-      <attribute name="verticalHeaderVisible">
-       <bool>false</bool>
-      </attribute>
-      <attribute name="verticalHeaderDefaultSectionSize">
-       <number>20</number>
-      </attribute>
-      <attribute name="verticalHeaderMinimumSectionSize">
-       <number>18</number>
-      </attribute>
-      <row/>
-      <row/>
-      <row/>
-      <column>
-       <property name="text">
-        <string>Job</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignJustify|AlignVCenter</set>
-       </property>
-      </column>
-      <column>
-       <property name="text">
-        <string>Host</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignJustify|AlignVCenter</set>
-       </property>
-      </column>
-      <column>
-       <property name="text">
-        <string>Nodes</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignRight|AlignVCenter</set>
-       </property>
-      </column>
-      <column>
-       <property name="text">
-        <string>Status</string>
-       </property>
-      </column>
-      <column>
-       <property name="text">
-        <string>Progress</string>
-       </property>
-       <property name="font">
-        <font>
-         <weight>50</weight>
-         <bold>false</bold>
-        </font>
-       </property>
-       <property name="textAlignment">
-        <set>AlignJustify|AlignVCenter</set>
-       </property>
-      </column>
-      <column>
-       <property name="text">
-        <string>Remaining time</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignRight|AlignVCenter</set>
-       </property>
-      </column>
-      <column>
-       <property name="text">
-        <string>Jobname</string>
-       </property>
-      </column>
-      <item row="0" column="0">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="0" column="1">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="0" column="2">
-       <property name="text">
-        <string>1</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignRight|AlignVCenter</set>
-       </property>
-      </item>
-      <item row="0" column="3">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="0" column="4">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="0" column="5">
-       <property name="text">
-        <string>1</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignRight|AlignVCenter</set>
-       </property>
-      </item>
-      <item row="1" column="0">
-       <property name="text">
-        <string>11</string>
-       </property>
-      </item>
-      <item row="1" column="1">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="1" column="2">
-       <property name="text">
-        <string>1</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignRight|AlignVCenter</set>
-       </property>
-      </item>
-      <item row="1" column="3">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="1" column="4">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="1" column="5">
-       <property name="text">
-        <string>1</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignRight|AlignVCenter</set>
-       </property>
-      </item>
-      <item row="2" column="0">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="2" column="1">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="2" column="2">
-       <property name="text">
-        <string>1</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignRight|AlignVCenter</set>
-       </property>
-      </item>
-      <item row="2" column="3">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="2" column="4">
-       <property name="text">
-        <string>1</string>
-       </property>
-      </item>
-      <item row="2" column="5">
-       <property name="text">
-        <string>1</string>
-       </property>
-       <property name="textAlignment">
-        <set>AlignRight|AlignVCenter</set>
-       </property>
-      </item>
-     </widget>
-    </item>
    </layout>
   </widget>
@@ -488,5 +494,5 @@
      <x>0</x>
      <y>0</y>
-     <width>758</width>
+     <width>798</width>
      <height>21</height>
     </rect>
Index: palm/trunk/SCRIPTS/palm_wdd
===================================================================
--- palm/trunk/SCRIPTS/palm_wdd	(revision 1612)
+++ palm/trunk/SCRIPTS/palm_wdd	(revision 1613)
@@ -20,5 +20,7 @@
 # Current revisions:
 # -----------------
-# 
+# Bugfix: tooltip for queuing name did not show up on first update.
+# New: added contect menu for showing the parameter file and the run control
+# output
 # 
 # Former revisions:
@@ -200,4 +202,31 @@
       return return_message
 
+def GetPARIN(username,jobid):
+
+   # collect progress information
+   cmd_dorestart = "cat " + cmd_tmpdir + "/" + username + "." + jobid.partition(".")[2] + "/PARIN"
+   try: 
+      devnull = open(os.devnull, 'w')
+      out = check_output(cmd_dorestart, shell=True, stderr=devnull)
+      return_message = out
+      out = None
+   except:
+      return_message = "Action failed."  
+      
+   return return_message
+
+def GetRC(username,jobid):
+
+   # collect progress information
+   cmd_dorestart = "cat " + cmd_tmpdir + "/" + username + "." + jobid.partition(".")[2] + "/RUN_CONTROL"
+   try: 
+      devnull = open(os.devnull, 'w')
+      out = check_output(cmd_dorestart, shell=True, stderr=devnull)
+      return_message = out
+      out = None
+   except:
+      return_message = "Action failed."  
+      
+   return return_message
 
 # START OF MAIN
@@ -214,4 +243,8 @@
 elif ( action == "restart"):
    print DoRestartNow(data,data2)
+elif ( action == "parin"):
+   print GetPARIN(data,data2)
+elif ( action == "rc"):
+   print GetRC(data,data2)  
 else:
    print "Error. Action " + action + " unknown."